=== debian/changelog ===
ros-noetic-rm-gimbal-controllers (0.1.7-1buster) buster; urgency=high

  * Optimize TRACK mode of rm_gimbal_controller.
  * Change frame "map" to "odom".
  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-rm-gimbal-controllers (0.1.6-1buster) buster; urgency=high

  * Merge branch 'gimbal/chassis_vel'
  * Merge pull request #77 <https://github.com/rm-controls/rm_controllers/issues/77> from ye-luo-xi-tui/gimbal/chassis_vel
    Fix a stupid bug
  * Fix a stupid bug.
  * Add chassis_vel as a feedforward to the yaw joint
  * Merge remote-tracking branch 'origin/master'
  * Add chassis_vel to yaw's PID
  * Contributors: QiayuanLiao, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-gimbal-controllers (0.1.5-1buster) buster; urgency=high

  * Merge pull request #71 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/71> from ye-luo-xi-tui/gimbal/joint_velocity
    Set joint desired velocity according to the target velocity
  * Fix a bug in setting joint desired velocity.
  * Set joint desired velocity according to the target velocity.
  * Merge pull request #69 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/69> from ChenZheng29/master
    Correct track topic message type:TrackData
  * Merge remote-tracking branch 'origin/master'
  * Merge pull request #66 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/66> from ye-luo-xi-tui/master
    Use motors' data in pid controller when imu_name isn't set
  * Use motors' data in pid controller when imu_name isn't set.
  * Correct the message type of gimbal subscription '/track' topic from 'rm_msgs::TrackCmd' to 'rm_msgs::TrackData'
  * Modify the track topic name and message, and unify the track interface
  * Merge remote-tracking branch 'origin/master'
  * 0.1.4
  * Move all computation in gimbal_controller i.r.t. "odom" instead of "map"
  * Merge pull request #52 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/52> from ye-luo-xi-tui/gimbal_track
    Update gimbal_controller
  * Modifier TrackCmd.msg format.
  * Improve logic of function Controller::setDes().
  * Fix a frame error in track mode.
  * Merge branch 'master' into gimbal_track
  * Merge pull request #45 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/45> from mlione/master
    Delete some config files in rm_controllers.
  * Delete some config files in rm_controller.
  * Merge pull request #46 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/46> from ye-luo-xi-tui/master
    Deprecated imu_filter_controller
  * Merge branch 'master' into gimbal_track
  * Rename a msg.
  * Modifier track subscribe topic
  * Contributors: QiayuanLiao, YuuinIH, chenzheng, mlione, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-gimbal-controllers (0.1.3-1buster) buster; urgency=high

  * Merge pull request #42 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/42> from ye-luo-xi-tui/fix_gimbal
    Fix bug in gimbal_controller
  * Merge pull request #37 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/37> from ye-luo-xi-tui/forward_feed
    Add feedforward in gimbal control
  * Merge branch 'master' into forward_feed
  * Simplify the codes. Set vel_target under rate mode.
  * Fix bug which relative to limit in gimbal_controller.
  * Merge pull request #40 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/40> from ye-luo-xi-tui/maintain
    Delete configuration of robot_state_controller in each of controllers' config file
  * Merge branch 'master' into 'standard3'.
  * Merge branch 'master' into maintain
    # Conflicts:
    #     rm_chassis_controllers/config/standard3.yaml
    #     rm_chassis_controllers/config/standard4.yaml
  * Delete configuration of robot_state_controller in each of controllers' config file
  * Merge branch 'master' into standard3
  * Delete eigen, tf2_eigen instead.
  * chore: add missing deps
  * Merge remote-tracking branch 'origin/master'
  * Change frame id of gimbal while transforming angular_vel form imu to pitch/yaw for engineer or sentry.
  * Add feedforward in gimbal control.
  * Contributors: QiayuanLiao, StarHeart, qiayuan, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-gimbal-controllers (0.1.2-1buster) buster; urgency=high

  * Merge pull request #30 <https://github.com/rm-controls/rm_controllers/issues/30> from ljq-lv/rm_gimbal_controllers
    Modify namespace on rm_gimbal_controllers
  * Modify namespace from bullet_solver to rm_gimbal_controllers
  * Merge branch 'master' into omni_wheel_controller
  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'rm-controls:master' into master
  * Merge pull request #17 <https://github.com/rm-controls/rm_controllers/issues/17> from ChenZheng29/master
    Fix the abnormal gimbal caused by the different representation of angle between TF and URDF
  * Merge branch 'master' of https://github.com/YuuinIH/rm_controllers
  * Add the judgment of the pitch of the gimbal
  * Fix gimbal position limit
  * Merge branch 'gimbal/opti_or_simplify' into chassis/balance_imu_interface
  * Update the config of rm_gimbal_controllers, load only one controller on launch instead of spawn controllers
  * Merge branch 'gimbal/opti_or_simplify' into imu_filter_controllers
  * Test imu2can with gimbal, fix a stupid bug
  * Rename standard to gimbal_base
  * Correct format.
  * Merge branch 'master' into chassis/fix_filter
  * Merge remote-tracking branch 'origin/master'
  * Update static_transform_publisher from tf to tf2
  * Remove updateTf() of rm_gimbal_controllers
  * Fix tf time of rm_gimbal_controllers
  * Use gyro data as gimbal joint velocity.
  * Sort code, add imu_sensor_interface
  * Simplify rm_gimbal_controllers and tested on gazebo

