## ros-noetic-rm-gimbal-controllers 0.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
         rm_common
 
+        controller_interface
         effort_controllers
         tf2_eigen
         tf2_geometry_msgs
