=== debian/changelog ===
ros-noetic-rm-gimbal-controllers (0.1.10-1focal) focal; urgency=high

  * Merge branch 'rm-controls:master' into master
  * Merge pull request #114 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/114> from ye-luo-xi-tui/resistance_compensation
    Add resistance compensation on yaw
  * Add resistance compensation on yaw.
  * Merge pull request #113 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/113> from ye-luo-xi-tui/master
    Use Vector3WithFilter in rm_common instead
  * Use Vector3WithFilter in rm_common instead.
  * Merge pull request #106 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/106> from ye-luo-xi-tui/master
    0.1.9
  * Contributors: ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-rm-gimbal-controllers (0.1.9-1focal) focal; urgency=high

  * Merge pull request #104 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/104> from ye-luo-xi-tui/balance_standard
    Fix bug.
  * Fix bug.
  * Merge pull request #102 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/102> from ljq-lv/fix_warning
    Fixed the bug of gimbal warning
  * Add the else to judge mode TRACK
  * Fixed the bug of gimbal warning
  * Merge branch 'master' into balance_standard
  * Merge pull request #97 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/97> from ye-luo-xi-tui/master
    0.1.8
  * Contributors: ljq-lv, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-gimbal-controllers (0.1.8-1focal) focal; urgency=high

  * Merge pull request #92 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/92> from ye-luo-xi-tui/target_velocity_correction
    Estimate chassis vel with moving average and subtract chassis_vel from target_vel
  * Fix trylock bug.
  * Subtract chassis_vel from target_vel.
  * Estimate chassis vel with moving average.
  * Merge pull request #86 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/86> from NaHCO3bc/Readme
    Fix the dependence part bug.
  * Modify the test file folder.
  * Fix the dependence part bug.
  * Merge pull request #85 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/85> from ye-luo-xi-tui/master
    0.1.7
  * Contributors: NaHCO3bc, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-gimbal-controllers (0.1.7-1focal) focal; urgency=high

  * Optimize TRACK mode of rm_gimbal_controller.
  * Change frame "map" to "odom".
  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-rm-gimbal-controllers (0.1.6-1focal) focal; urgency=high

  * Merge branch 'gimbal/chassis_vel'
  * Merge pull request #77 <https://github.com/rm-controls/rm_controllers/issues/77> from ye-luo-xi-tui/gimbal/chassis_vel
    Fix a stupid bug
  * Fix a stupid bug.
  * Add chassis_vel as a feedforward to the yaw joint
  * Merge remote-tracking branch 'origin/master'
  * Add chassis_vel to yaw's PID
  * Contributors: QiayuanLiao, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-gimbal-controllers (0.1.5-1focal) focal; urgency=high

  * Merge pull request #71 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/71> from ye-luo-xi-tui/gimbal/joint_velocity
    Set joint desired velocity according to the target velocity
  * Fix a bug in setting joint desired velocity.
  * Set joint desired velocity according to the target velocity.
  * Merge pull request #69 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/69> from ChenZheng29/master
    Correct track topic message type:TrackData
  * Merge remote-tracking branch 'origin/master'
  * Merge pull request #66 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/66> from ye-luo-xi-tui/master
    Use motors' data in pid controller when imu_name isn't set
  * Use motors' data in pid controller when imu_name isn't set.
  * Correct the message type of gimbal subscription '/track' topic from 'rm_msgs::TrackCmd' to 'rm_msgs::TrackData'
  * Modify the track topic name and message, and unify the track interface
  * Merge remote-tracking branch 'origin/master'
  * 0.1.4
  * Move all computation in gimbal_controller i.r.t. "odom" instead of "map"
  * Merge pull request #52 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/52> from ye-luo-xi-tui/gimbal_track
    Update gimbal_controller
  * Modifier TrackCmd.msg format.
  * Improve logic of function Controller::setDes().
  * Fix a frame error in track mode.
  * Merge branch 'master' into gimbal_track
  * Merge pull request #45 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/45> from mlione/master
    Delete some config files in rm_controllers.
  * Delete some config files in rm_controller.
  * Merge pull request #46 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/46> from ye-luo-xi-tui/master
    Deprecated imu_filter_controller
  * Merge branch 'master' into gimbal_track
  * Rename a msg.
  * Modifier track subscribe topic
  * Contributors: QiayuanLiao, YuuinIH, chenzheng, mlione, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-gimbal-controllers (0.1.3-1focal) focal; urgency=high

  * Merge pull request #42 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/42> from ye-luo-xi-tui/fix_gimbal
    Fix bug in gimbal_controller
  * Merge pull request #37 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/37> from ye-luo-xi-tui/forward_feed
    Add feedforward in gimbal control
  * Merge branch 'master' into forward_feed
  * Simplify the codes. Set vel_target under rate mode.
  * Fix bug which relative to limit in gimbal_controller.
  * Merge pull request #40 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/40> from ye-luo-xi-tui/maintain

