=== debian/control ===
Source: ros-noetic-rm-gimbal-controllers
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-angles, ros-noetic-catkin, ros-noetic-controller-interface, ros-noetic-dynamic-reconfigure, ros-noetic-effort-controllers, ros-noetic-rm-common, ros-noetic-roscpp, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs, ros-noetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-gimbal-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-angles, ros-noetic-controller-interface, ros-noetic-dynamic-reconfigure, ros-noetic-effort-controllers, ros-noetic-rm-common, ros-noetic-roscpp, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs, ros-noetic-visualization-msgs
Description: RoboMaster standard robot Gimbal controller
